Bug 174030 - [patch] emulators/kqemu-kmod*: create sys symlink properly if not cleaned
Summary: [patch] emulators/kqemu-kmod*: create sys symlink properly if not cleaned
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Juergen Lock
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-01 08:00 UTC by Enji Cooper
Modified: 2013-02-03 22:31 UTC (History)
0 users

See Also:


Attachments
file.diff (1.33 KB, patch)
2012-12-01 08:00 UTC, Enji Cooper
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Enji Cooper freebsd_committer 2012-12-01 08:00:00 UTC
The symlink isn't created properly for /sys if the build is interrupted. The attached patch fixes the issue via the ln -f and -h flags.

===>  Building for kqemu-kmod-1.3.0.p11_12
ln: sys/sys: File exists
*** [do-build] Error code 1

Stop in /store/freebsd/ports/emulators/kqemu-kmod.

Fix: Patch attached with submission follows:
How-To-Repeat: 1. cd emulators/kqemu-kmod
2. make all
3. Interrupt build before it completes.
4. make all
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2013-01-20 00:22:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nox

Over to maintainer.
Comment 2 dfilter service freebsd_committer 2013-01-20 15:11:47 UTC
Author: nox
Date: Sun Jan 20 15:11:34 2013
New Revision: 310693
URL: http://svnweb.freebsd.org/changeset/ports/310693

Log:
  Create sys symlinks properly if restarting a build.
  
  PR:		ports/174030
  Submitted by:	Garrett Cooper <yaneurabeya@gmail.com>

Modified:
  head/emulators/kqemu-kmod-devel/Makefile   (contents, props changed)
  head/emulators/kqemu-kmod/Makefile   (contents, props changed)

Modified: head/emulators/kqemu-kmod-devel/Makefile
==============================================================================
--- head/emulators/kqemu-kmod-devel/Makefile	Sun Jan 20 15:09:48 2013	(r310692)
+++ head/emulators/kqemu-kmod-devel/Makefile	Sun Jan 20 15:11:34 2013	(r310693)
@@ -88,7 +88,7 @@ post-patch:
 .endif
 
 do-build:
-	@(cd ${BUILD_WRKSRC}; ${SETENV} ${MAKE_ENV} ${MAKE} ${MAKE_FLAGS} ${MAKEFILE} beforedepend && ${LN} -s @/sys sys)
+	@(cd ${BUILD_WRKSRC}; ${SETENV} ${MAKE_ENV} ${MAKE} ${MAKE_FLAGS} ${MAKEFILE} beforedepend && ${LN} -sfh @/sys sys)
 	@(cd ${BUILD_WRKSRC}/common; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_FLAGS} Makefile ${MAKE_ARGS} ${ALL_TARGET})
 	@(cd ${BUILD_WRKSRC}; ${SETENV} ${MAKE_ENV} ${MAKE} ${MAKE_FLAGS} ${MAKEFILE} ${ALL_TARGET})
 

Modified: head/emulators/kqemu-kmod/Makefile
==============================================================================
--- head/emulators/kqemu-kmod/Makefile	Sun Jan 20 15:09:48 2013	(r310692)
+++ head/emulators/kqemu-kmod/Makefile	Sun Jan 20 15:11:34 2013	(r310693)
@@ -76,7 +76,7 @@ post-patch:
 .endif
 
 do-build:
-	@(cd ${BUILD_WRKSRC}; ${SETENV} ${MAKE_ENV} ${MAKE} ${MAKE_FLAGS} ${MAKEFILE} beforedepend && ${LN} -s @/sys sys)
+	@(cd ${BUILD_WRKSRC}; ${SETENV} ${MAKE_ENV} ${MAKE} ${MAKE_FLAGS} ${MAKEFILE} beforedepend && ${LN} -sfh @/sys sys)
 	@(cd ${BUILD_WRKSRC}/common; ${SETENV} ${MAKE_ENV} ${GMAKE} ${MAKE_FLAGS} Makefile ${MAKE_ARGS} ${ALL_TARGET})
 	@(cd ${BUILD_WRKSRC}; ${SETENV} ${MAKE_ENV} ${MAKE} ${MAKE_FLAGS} ${MAKEFILE} ${ALL_TARGET})
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Juergen Lock freebsd_committer 2013-01-20 15:12:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!